For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETGet asset tree
      • POSTCreate an asset
      • PATCHUpdate asset
      • GETList asset-rate bracket relations
      • POSTCreate/update asset-rate bracket relations
      • GETGet asset hierarchy structure
      • GETGet asset rate bracket ID mappings
      • GETGet asset tree
      • GETGet organisations by product
Calculator
LogoLogo
EndpointsAssets

Create/update asset-rate bracket relations

POST
https://api.finput.com.au/api/v1/assets/relations
POST
/api/v1/assets/relations
$curl -X POST https://api.finput.com.au/api/v1/assets/relations \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "asset_id": 1,
> "organisation_id": 1
> }
>]'
200Successful
1{
2 "message": "message",
3 "data": [
4 {
5 "id": 1,
6 "asset": "asset",
7 "asset_id": 1,
8 "organisation": "organisation",
9 "organisation_id": 1,
10 "product": "product",
11 "product_id": 1,
12 "rate_bracket": "rate_bracket",
13 "rate_bracket_id": 1,
14 "created_at": "2024-01-15T09:30:00Z",
15 "updated_at": "2024-01-15T09:30:00Z"
16 }
17 ]
18}
Bulk creates or updates mappings between assets, organisations, products, and rate brackets.
Was this page helpful?
Previous

Get asset hierarchy structure

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects a list of objects.
asset_idintegerRequired
organisation_idintegerRequired
product_idintegerOptional
rate_bracket_idintegerOptional

Response

Relations created/updated

messagestring
datalist of objects